org.apache.sis.xml

## Enum XLink.Show

- Object
- - Enum<XLink.Show>
  - - XLink.Show

- All Implemented Interfaces:
    Serializable, Comparable<XLink.Show>
  Enclosing class:
    XLink

      public static enum XLink.Show
      extends Enum<XLink.Show>

  Communicates the desired presentation of the ending resource on traversal from the starting resource.
  Since:
    0.3
  See Also:
    `XLink​.getShow()`

  Defined in the `sis-utility` module

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `EMBED` Load ending resource in place of the presentation of the starting resource.
    `NEW` Load ending resource in a new window, frame, pane, or other presentation context.
    `NONE` Behavior is unconstrained.
    `OTHER` Behavior is unconstrained; examine other markup in the link for hints.
    `REPLACE` Load the resource in the same window, frame, pane, or other presentation context.

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static XLink.Show` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
    `static XLink.Show[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### NEW

          public static final XLink.Show NEW

      Load ending resource in a new window, frame, pane, or other presentation context.

    - #### REPLACE

          public static final XLink.Show REPLACE

      Load the resource in the same window, frame, pane, or other presentation context.

    - #### EMBED

          public static final XLink.Show EMBED

      Load ending resource in place of the presentation of the starting resource.

    - #### OTHER

          public static final XLink.Show OTHER

      Behavior is unconstrained; examine other markup in the link for hints.

    - #### NONE

          public static final XLink.Show NONE

      Behavior is unconstrained.

  - ### Method Detail

    - #### values

          public static XLink.Show[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (XLink.Show c : XLink.Show.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static XLink.Show valueOf(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null

Copyright © 2010–2017 The Apache Software Foundation. All rights reserved.